Project

General

Profile

Backport(バックポート) #3468

opFormItemGenerator の trim 指定の参照要素名が間違っている

Added by Mutsumi Imamura over 6 years ago. Updated over 6 years ago.

Status:
Invalid(無効)
Priority:
Normal(通常)
Assignee:
-
Target version:
Start date:
2011-05-16
Due date:
% Done:

0%


Description

Overview (現象)

trim の設定が IsRequired の設定になっている。

Causes (原因)

IsRequired を指定しているが、恐らくこの指定は間違っている。

$option = array('required' => $field['IsRequired'], 'trim' => $field['IsRequired']);

Way to fix (修正内容)

$field['IsTrim'] に修正し、
トリムが必要な項目については「IsTrim: true」を追加する。
(ただし、ガジェットのyml設定については修正範囲が大きいため対応しません)


Related issues

Related to OpenPNE 3 - Bug(バグ) #2104: opFormItemGenerator の trim 指定の参照要素名が間違っている Fixed(完了) 2011-05-16

History

#1 Updated by Mutsumi Imamura over 6 years ago

  • Status changed from New(新規) to Invalid(無効)

OpenPNE 3.8beta1で対応済みです

Also available in: Atom PDF